import { jsx } from "react/jsx-runtime";
import { Scooter as Scooter$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Scooter = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Scooter", ...props, children: /* @__PURE__ */ jsx(Scooter$1, { weight: variant }) });
  }
);
Scooter.displayName = "Scooter";
Object.assign(Scooter, { isGdsIcon: true });
export {
  Scooter
};
